<form (ngSubmit)="save()" [formGroup]="form">
    <mat-form-field class="task-title-textaera">
        <textarea matInput
            cdkTextareaAutosize
            #autosize="cdkTextareaAutosize"
            cdkAutosizeMinRows="5"
            cdkAutosizeMaxRows="20"
            formControlName="title"
            (keydown.control.enter)="save()"
        ></textarea>
    </mat-form-field>
</form>
<div mat-dialog-actions style="justify-content: space-between;">
    <button mat-flat-button cdkFocusInitial (click)="close()">Отмена</button>
    <div class="margin-left: auto">
        <button mat-icon-button class="text-primary" (click)="delete()"><i class="material-icons">delete</i></button>
        <button mat-icon-button (click)="save()"><i class="material-icons">save</i></button>
    </div>
</div>